#
# spec file for package wondershaper (Version 1.1a)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         wondershaper
URL:          http://lartc.org/wondershaper/
License:      GPL
Group:        Productivity/Networking/System
Version:      1.1a
Release:      210.5
Source0:      wondershaper-1.1a.tar.gz
Source1:      sysconfig.wondershaper
Source2:      rcwondershaper
Patch0:       %{name}-%{version}.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildArch: 	noarch
Autoreqprov:  on
Requires:     iproute2
PreReq:       %fillup_prereq
Summary:      Wondershaper is a QOS (Quality of Service) script.

%description
Many cablemodem and ADSL users experience horrifying latency while
uploading or downloading. They also notice that uploading hampers
downloading greatly. The wondershaper neatly addresses these issues,
allowing users of a router with a wondershaper to continue using SSH
over a loaded link happily.



Authors:
--------
    Bert Hubert <ahu@ds9a.nl>

%prep
%setup 
cp %{S:1} %{S:2} .
%patch0 -p1

%build

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
install -m 755 -d $RPM_BUILD_ROOT/usr/sbin
install -m 755 -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 755 -d $RPM_BUILD_ROOT/etc/init.d
install -m 750 wshaper $RPM_BUILD_ROOT/usr/sbin/
install -m 644 sysconfig.wondershaper $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 755 rcwondershaper $RPM_BUILD_ROOT/etc/init.d/wondershaper
ln -sf ../../etc/init.d/wondershaper $RPM_BUILD_ROOT/usr/sbin/rcwondershaper
chmod -x wshaper.htb

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%post
%{fillup_only}

%preun
%stop_on_removal wondershaper

%postun
%restart_on_update wondershaper
%insserv_cleanup

%files
%defattr(-, root, root)
%doc COPYING ChangeLog README TODO VERSION wshaper.htb
%config /etc/init.d/wondershaper
/usr/sbin/*
/var/adm/fillup-templates/*

%changelog -n wondershaper
* Wed Apr 28 2004 - hvogel@suse.de
- Do sanity checks only during starting. (Bug #39583)
* Tue Apr 27 2004 - hvogel@suse.de
- fix sysconfig variable namings which made config nearly impossible
  (Bug #39464)
* Thu Mar 18 2004 - hvogel@suse.de
- fix init script. There is now a default queue so status returned
  always running. (Bug #36510)
* Thu Nov 13 2003 - hvogel@suse.de
- dont build as root
* Thu Aug 14 2003 - hvogel@suse.de
- Add sysconfig activation metadata
* Thu Jul 31 2003 - hvogel@suse.de
- use preun/postun service macros
* Thu Mar 13 2003 - hvogel@suse.de
- cleaned patch. wshaper.htb had old variables (#25228)
* Tue Mar 04 2003 - hvogel@suse.de
- added QOS kernel test
- fixed sysconfig metadata types
* Sun Jan 26 2003 - hvogel@suse.de
- Removed need for src/dst variables reported by axboe
- Source sysconfig file in init script
* Fri Jan 17 2003 - hvogel@suse.de
- fixed permissions of init script
- added new sysconfig scheme
* Mon Jan 13 2003 - hvogel@suse.de
- Changed variable names to use the original wondershaper names
- Made the verbose rcwondershaper status output variable dependent.
* Thu Dec 19 2002 - hvogel@suse.de
- Initial Package, Version 1.1a
